Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Ich habe mir gerade die ADTF DAT GUI Tools 0.1.0 (BETA) runtergeladen, entpackt und die adtf_dattool_gui.exe ausgeführt. Beim

schließen des Tools bekomme ich eine Absturzmeldung:

"adtf_dattool_gui.exe has stopped working"

Könnt ihr euch das mal anschauen?

Lösung

ODADATTOOL-36 erstellt

History

#1 - 2019-01-14 16:27 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to DatTools::DatToolGUI

- Support Level changed from 2nd Level to 3rd Level

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF DAT GUI Tools 0.1.0 (BETA) added

#2 - 2019-01-14 16:43 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Anja,

ich meine dass es auf Linux derzeit Probleme gibt (ODADATTOOL-27, wenn ein anderes QT installiert ist, das werden wir in 0.2.0 beheben).

Aber aufgrund deiner Nachricht "[...] adtf_dattool_gui.exe [...]" gehe ich bei dir von Windows aus.

Ich habe eben noch einmal alles herunter geladen, gestartet, (nichts gemacht), und wieder beendet -> Kein Absturz.

Hast du noch etwas gemacht ?

Welche OS hast du ?

Ist darauf eine Entwicklungsumgebung ?

#3 - 2019-01-15 09:30 - hidden

Hallo Florian,

also ich habe:

Windows 7 Sp1

Visual Studio 2015

QT 5.7.0
Schritte:

1.  Download

2.  Entpacken

3.  Ins bin Verzeichnis gehen

4.  adtf_dattool_gui.exe öffnen

5.  Schließen ohne eine Änderung

6.  Close Application bestätigen -> Absturz

Wenn ich Debug Tool klicke und Visual Studio 2015 auswähle kommt folgende exception:

Unhandled exception at 0x000007FEE1100160 (Qt5Quick.dll) in adtf_dattool_gui.exe: 0xC0000005: Access violation reading location

0xFFFFFFFFFFFFFFFF.

Also ja, dann sieht es noch einem QT Problem aus.

Grüße,

Anja

#4 - 2019-01-15 16:04 - hidden

Hi Anja,

exakt dergleiche Vorgang klappt bei mir wunderbar.

Hab es auch auf "frischen" bei uns ebenso erfolgreich probieren lassen.

Liegt ggf. ein Problem beim Entpacken bei dir vor ?

Mit was extraktest du ?

Wie sieht dein Ordner nach dem Extrakt aus ?

Hast du irgendwelche PATH/Umgebungsvariablen zufällig gesetzt, die QT betreffen ?

Wir bekommen es leider nicht nachgestellt auf Windows.

Auf Linux ist es ein völlig anderes Problem und gelöst...

#5 - 2019-01-16 09:30 - hidden

- File dir_after_extract.txt added

Hi Florian,

hmm, ich habe eine Umgebungsvariable: QTDIR D:\Tools_Installer\Qt\5.7.1_win64_vc140 (Sorry, ich war der Meinung es war die 5.7.0). Anbei habe

ich dir das Verzeichnis nach dem Entpacken mit 7zip ausgegeben.

Für mich sah da nichts nach einem Fehler aus. Wenn ihr wollt kann ich gerne ein Skypemeeting aufsetzen und mal meinen Desktop sharen.

Meine Kollegin hat das adtf_dattool_gui.exe gerade auf Win 10 ausprobiert und bekommt den selben Fehler.

Grüße,

Anja

#6 - 2019-01-16 10:11 - hidden

- Status changed from Customer Feedback Required to In Progress

@Anja: Ich habe mir (nochmal) Qt 5.7.1 heruntergeladen und die Umgebungsvariable gesetzt, DAT Tools heruntergeladen, entpackt und ADTF DAT

Tool Gui gestartet, beendet (Close -> OK), kein Absturz... Win7 und Win10. Dasselbe auch auf den Rechner eines Kollegen.

@Wolfgang: Kannst du dir das bitte mal anschauen, ggf. eine Skype Session ausmachen ? Bitte auch zusammen mit ODADATTOOL-27 betrachten,

auch wenn das Linux ist...). Ich bekomme es nicht nachgestellt, bei mir schnurrt es einwandfrei.

#7 - 2019-01-17 11:47 - hidden

Hallo Anja,

Danke für dein Feedback!

Ich konnte das Verhalten nach Anheften des Debuggers nachstellen -

Die Fehlermeldung bleibt allerdings auch auf meinem System aus.

Die Ursache scheint in der Qt-Bibliothek zu liegen - ein Austausch der Qt-Version (5.9.0 --> 5.9.7) behebt das Problem.

Wir werden das kommende Release mit dieser neueren Version ausliefern.

#8 - 2019-01-17 11:53 - hidden

- Product Issue Numbers set to ODADATTOOL-36
#9 - 2019-01-17 16:52 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers changed from ODADATTOOL-36 to https://www.cip.audi.de/jira/browse/ODADATTOOL-36

#10 - 2019-01-18 09:00 - hidden

Hallo Wolfgang,

Ok, danke für die Info. Schreibt Ihr mir noch eure Produktticketnummer?

Best regards,

Anja Winkler

#11 - 2019-01-18 09:40 - hidden

- Project changed from 7 to Public Support

- Subject changed from [ISSUE] (EBPRODUCTSUPPORT-2504) Absturz beim Schließen der adtf_dattool_gui.exe to [ISSUE]

(EBPRODUCTSUPPORT-2504) Segfault when closing ADTF DAT Tool GUI

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

Hi Anja,

Guck mal ins Ticket bzw. in die Mails vom System, die steht im Ticket Header / Feld Product Issue Number :-)

Aber hier zur Sicherheit: ODADATTOOL-36

Ticket wird geschlossen

#12 - 2019-01-18 09:40 - hidden

- Status changed from To Be Closed to Closed

Files

dir_after_extract.txt 93.5 KB 2019-01-16 hidden
